# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::A3DSVertex Class Reference

The A3DSVertex class represents a vertex in a 3DS file. More...

`#include <vl3DS.hpp>`

List of all members.

## Public Member Functions
| A3DSVertex ()
bool | operator< (const A3DSVertex &other) const
## Public Attributes
fvec3 | mPos
fvec2 | mUV
unsigned int | mSmoothingGroup
int | mIndex

## Detailed Description

The A3DSVertex class represents a vertex in a 3DS file.

## Constructor & Destructor Documentation

vl::A3DSVertex::A3DSVertex | ( |  | ) | `[inline]`

## Member Function Documentation

bool vl::A3DSVertex::operator< | ( | const A3DSVertex & | other | ) | const`[inline]`

## Member Data Documentation

fvec3 vl::A3DSVertex::mPos

fvec2 vl::A3DSVertex::mUV

unsigned int vl::A3DSVertex::mSmoothingGroup

int vl::A3DSVertex::mIndex

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vl3DS.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:56 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.